
Redmine - Defect #27975

CSV export of different language

2018-01-12 11:18 - Alexander Shirobokov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Default language was Russian (Cyrillic). And all issues written in Cyrillic. Export issues to csv was fine.

When we change default language to English, all our issues export as "???????".

"???????" in all encoding.

Open dialog of libreoffice to import csv:

 cyrillic.png 

Environment:

Redmine version                3.4.2.stable

Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

Related issues:

Related to Redmine - Feature #26279: Allow switching the encoding to UTF-8 wh... Closed

History

#1 - 2018-01-12 11:31 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #27213 and many others.

#2 - 2018-01-12 12:58 - Go MAEDA

This issue will be addressed if the patch submitted in #26279 is merged. It implements a feature to switch encoding to UTF-8 when export issues to

CSV.

#3 - 2018-01-12 12:58 - Go MAEDA

- Related to Feature #26279: Allow switching the encoding to UTF-8 when exporting to CSV added

Files

cyrillic.png 31.3 KB 2018-01-12 Alexander Shirobokov

Powered by TCPDF (www.tcpdf.org)

2025-05-11 1/1

https://www.redmine.org/issues/27213
https://www.redmine.org/issues/26279
http://www.tcpdf.org

